org.keycloak.protocol.saml

## Class SamlService.BindingProtocol

- java.lang.Object
- - org.keycloak.protocol.saml.SamlService.BindingProtocol

- Direct Known Subclasses:
    SamlService.PostBindingProtocol, SamlService.RedirectBindingProtocol
  Enclosing class:
    SamlService

      public abstract class SamlService.BindingProtocol
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlService.BindingProtocol()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.ws.rs.core.Response` | `basicChecks(String samlRequest, String samlResponse)`
    `protected abstract org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `extractDocument(String samlRequest)`
    `protected abstract String` | `getBindingType()`
    `protected javax.ws.rs.core.Response` | `handleSamlRequest(String samlRequest, String relayState)`
    `protected javax.ws.rs.core.Response` | `handleSamlResponse(String samleResponse, String relayState)`
    `protected javax.ws.rs.core.Response` | `loginRequest(String relayState, org.picketlink.identity.federation.saml.v2.protocol.AuthnRequestType requestAbstractType, ClientModel client)`
    `protected javax.ws.rs.core.Response` | `logoutRequest(org.picketlink.identity.federation.saml.v2.protocol.LogoutRequestType requestAbstractType, ClientModel client)`
    `protected abstract void` | `verifySignature(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder documentHolder, ClientModel client)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SamlService.BindingProtocol

          public SamlService.BindingProtocol()

  - ### Method Detail

    - #### basicChecks

          protected javax.ws.rs.core.Response basicChecks(String samlRequest,
                                              String samlResponse)

    - #### handleSamlResponse

          protected javax.ws.rs.core.Response handleSamlResponse(String samleResponse,
                                                     String relayState)

    - #### handleSamlRequest

          protected javax.ws.rs.core.Response handleSamlRequest(String samlRequest,
                                                    String relayState)

    - #### verifySignature

          protected abstract void verifySignature(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder documentHolder,
                             ClientModel client)
                                           throws VerificationException

      Throws:
        `VerificationException`

    - #### extractDocument

          protected abstract org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder extractDocument(String samlRequest)

    - #### loginRequest

          protected javax.ws.rs.core.Response loginRequest(String relayState,
                                               org.picketlink.identity.federation.saml.v2.protocol.AuthnRequestType requestAbstractType,
                                               ClientModel client)

    - #### getBindingType

          protected abstract String getBindingType()

    - #### logoutRequest

          protected javax.ws.rs.core.Response logoutRequest(org.picketlink.identity.federation.saml.v2.protocol.LogoutRequestType requestAbstractType,
                                                ClientModel client)

Copyright © 2015. All Rights Reserved.